<?php

use App\Http\Controllers\ProfileController;
use Illuminate\Support\Facades\Route;


// Rotas para Guest, sem necessidade de autenticação
Route::middleware('guest')->group(function () {
    Route::get('/', function () {
        return view('welcome');
    });
});


// Rotas para Auth, Necessário autenticação
Route::middleware('auth')->group(function () {
    Route::get('/profile', [ProfileController::class, 'edit'])->name('profile.edit');
    Route::patch('/profile', [ProfileController::class, 'update'])->name('profile.update');
    Route::delete('/profile', [ProfileController::class, 'destroy'])->name('profile.destroy');
    Route::get('/dashboard', function () {
        return view('dashboard');
    })->name('dashboard');
});



require __DIR__ . '/auth.php';
